package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProResAuthDAO;
import com.philisense.www.mapper.ProResAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProResAuthDAOImpl implements ProResAuthDAO {
        @Autowired
        private ProResAuthMapper proResAuthMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proResAuthMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proResAuthMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proResAuthMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proResAuthMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proResAuthMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proResAuthMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proResAuthMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proResAuthMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proResAuthMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proResAuthMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proResAuthMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proResAuthMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proResAuthMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getAllProResourceTreeByAuthID(Map<String, Object> map) {
            return proResAuthMapper.getAllProResourceTreeByAuthID(map);
        }

        @Override
        public List<Map<String, Object>> getPageAuthByProResourceTreeId(Map<String, Object> map) {
            return proResAuthMapper.getPageAuthByProResourceTreeId(map);
        }

        @Override
        public int getCountAuthByProResourceTreeId(Map<String, Object> map) {
            return proResAuthMapper.getCountAuthByProResourceTreeId(map);
        }

        @Override
        public int updateChangeTargetNodeWithSourceNodeForProResource(Map<String, Object> map) {
            return proResAuthMapper.updateChangeTargetNodeWithSourceNodeForProResource(map);
        }

    @Override
    public void deleteBatchByAuthID(Map<String, Object> map) {
        proResAuthMapper.deleteBatchByAuthID(map);
    }
}
